Index: code/branches/cpp11_v3/src/modules/questsystem/effects/AddQuest.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/questsystem/effects/AddQuest.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/questsystem/effects/AddQuest.cc	(revision 11054)
@@ -90,5 +90,5 @@
         {
             Quest* quest = QuestManager::getInstance().findQuest(this->getQuestId());
-            if(quest == NULL || !quest->start(player))
+            if(quest == nullptr || !quest->start(player))
                return false;
         }
Index: code/branches/cpp11_v3/src/modules/questsystem/effects/AddQuest.h
===================================================================
--- code/branches/cpp11_v3/src/modules/questsystem/effects/AddQuest.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/questsystem/effects/AddQuest.h	(revision 11054)
@@ -62,7 +62,7 @@
         virtual ~AddQuest();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a AddQuest object through XML.
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a AddQuest object through XML.
 
-        virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+        virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
     };
Index: code/branches/cpp11_v3/src/modules/questsystem/effects/AddQuestHint.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/questsystem/effects/AddQuestHint.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/questsystem/effects/AddQuestHint.cc	(revision 11054)
@@ -113,5 +113,5 @@
         {
             QuestHint* hint = QuestManager::getInstance().findHint(this->hintId_);
-            if(hint == NULL || !hint->setActive(player))
+            if(hint == nullptr || !hint->setActive(player))
                 return false;
         }
Index: code/branches/cpp11_v3/src/modules/questsystem/effects/AddQuestHint.h
===================================================================
--- code/branches/cpp11_v3/src/modules/questsystem/effects/AddQuestHint.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/questsystem/effects/AddQuestHint.h	(revision 11054)
@@ -64,7 +64,7 @@
             virtual ~AddQuestHint();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a AddQuestHint object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a AddQuestHint object through XML.
 
-            virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+            virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
         private:
Index: code/branches/cpp11_v3/src/modules/questsystem/effects/AddReward.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/questsystem/effects/AddReward.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/questsystem/effects/AddReward.cc	(revision 11054)
@@ -84,11 +84,11 @@
     {
         int i = index;
-        for (std::list<Rewardable*>::const_iterator reward = this->rewards_.begin(); reward != this->rewards_.end(); ++reward)
+        for (Rewardable* reward : this->rewards_)
         {
             if(i == 0)
-               return *reward;
+               return reward;
             i--;
         }
-        return NULL;
+        return nullptr;
     }
 
@@ -106,6 +106,6 @@
 
         bool temp = true;
-        for ( std::list<Rewardable*>::iterator reward = this->rewards_.begin(); reward != this->rewards_.end(); ++reward )
-            temp = temp && (*reward)->reward(player);
+        for (Rewardable* reward : this->rewards_)
+            temp = temp && reward->reward(player);
 
         orxout(verbose, context::quests) << "Rewardable successfully added to player." << player << " ." << endl;
Index: code/branches/cpp11_v3/src/modules/questsystem/effects/AddReward.h
===================================================================
--- code/branches/cpp11_v3/src/modules/questsystem/effects/AddReward.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/questsystem/effects/AddReward.h	(revision 11054)
@@ -68,7 +68,7 @@
             virtual ~AddReward();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a AddReward object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a AddReward object through XML.
 
-            virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+            virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
         private:
Index: code/branches/cpp11_v3/src/modules/questsystem/effects/ChangeQuestStatus.h
===================================================================
--- code/branches/cpp11_v3/src/modules/questsystem/effects/ChangeQuestStatus.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/questsystem/effects/ChangeQuestStatus.h	(revision 11054)
@@ -59,5 +59,5 @@
             virtual ~ChangeQuestStatus();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a ChangeQuestStatus object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a ChangeQuestStatus object through XML.
 
             virtual bool invoke(PlayerInfo* player) = 0; //!< Invokes the QuestEffect.
Index: code/branches/cpp11_v3/src/modules/questsystem/effects/CompleteQuest.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/questsystem/effects/CompleteQuest.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/questsystem/effects/CompleteQuest.cc	(revision 11054)
@@ -92,5 +92,5 @@
         {
             quest = QuestManager::getInstance().findQuest(this->getQuestId());
-            if(quest == NULL || !quest->complete(player))
+            if(quest == nullptr || !quest->complete(player))
                return false;
         }
Index: code/branches/cpp11_v3/src/modules/questsystem/effects/CompleteQuest.h
===================================================================
--- code/branches/cpp11_v3/src/modules/questsystem/effects/CompleteQuest.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/questsystem/effects/CompleteQuest.h	(revision 11054)
@@ -62,7 +62,7 @@
             virtual ~CompleteQuest();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a CompleteQuest object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a CompleteQuest object through XML.
 
-            virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+            virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
     };
Index: code/branches/cpp11_v3/src/modules/questsystem/effects/FailQuest.cc
===================================================================
--- code/branches/cpp11_v3/src/modules/questsystem/effects/FailQuest.cc	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/questsystem/effects/FailQuest.cc	(revision 11054)
@@ -91,5 +91,5 @@
         {
             quest = QuestManager::getInstance().findQuest(this->getQuestId());
-            if(quest == NULL || !quest->fail(player))
+            if(quest == nullptr || !quest->fail(player))
                return false;
         }
Index: code/branches/cpp11_v3/src/modules/questsystem/effects/FailQuest.h
===================================================================
--- code/branches/cpp11_v3/src/modules/questsystem/effects/FailQuest.h	(revision 11053)
+++ code/branches/cpp11_v3/src/modules/questsystem/effects/FailQuest.h	(revision 11054)
@@ -62,7 +62,7 @@
             virtual ~FailQuest();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a FailQuest object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a FailQuest object through XML.
 
-            virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+            virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
     };
